enable the serial port by default in the final image

Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
pull/8/head
Robert Nelson 14 years ago
parent ed4cb11b09
commit 91202791cc

@ -3,7 +3,7 @@ new file mode 100755
index 0000000..6d06fc7 index 0000000..6d06fc7
--- /dev/null --- /dev/null
+++ b/usr/lib/finish-install.d/08rcn-omap +++ b/usr/lib/finish-install.d/08rcn-omap
@@ -0,0 +1,22 @@ @@ -0,0 +1,24 @@
+#!/bin/sh -e +#!/bin/sh -e
+cp /etc/e2fsck.conf /target/etc/e2fsck.conf +cp /etc/e2fsck.conf /target/etc/e2fsck.conf
+ +
@ -23,6 +23,8 @@ index 0000000..6d06fc7
+ mkdir -p /target/boot/uboot + mkdir -p /target/boot/uboot
+ echo "/dev/mmcblk0p1 /boot/uboot auto defaults 0 0" >> /target/etc/fstab + echo "/dev/mmcblk0p1 /boot/uboot auto defaults 0 0" >> /target/etc/fstab
+ +
+ cat /target/etc/inittab | grep ttyO2 || echo "S:2345:respawn:/sbin/getty 115200 ttyO2" >> /target/etc/inittab
+
+ rm -f /etc/rcn.conf + rm -f /etc/rcn.conf
+fi +fi
+ +

Loading…
Cancel
Save